Bug 47265 - new port: Hebrew spellchecker and morphology engine
Summary: new port: Hebrew spellchecker and morphology engine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-20 18:10 UTC by yonatan
Modified: 2003-04-02 12:14 UTC (History)
0 users

See Also:


Attachments
hspell.shar (3.42 KB, text/plain)
2003-01-20 18:10 UTC, yonatan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description yonatan 2003-01-20 18:10:01 UTC
	A new and innovative spell checker for hebrew. portlint is happy
about this.

How-To-Repeat: 	N/A
Comment 1 root 2003-02-03 17:08:30 UTC
hspell 0.3 was released today. here's updated shar.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/hebrew/hspell
#	/usr/ports/hebrew/hspell/pkg-plist
#	/usr/ports/hebrew/hspell/pkg-descr
#	/usr/ports/hebrew/hspell/pkg-comment
#	/usr/ports/hebrew/hspell/distinfo
#	/usr/ports/hebrew/hspell/Makefile
#	/usr/ports/hebrew/hspell/files
#	/usr/ports/hebrew/hspell/files/patch-Makefile
#
echo c - /usr/ports/hebrew/hspell
mkdir -p /usr/ports/hebrew/hspell > /dev/null 2>&1
echo x - /usr/ports/hebrew/hspell/pkg-plist
sed 's/^X//' >/usr/ports/hebrew/hspell/pkg-plist << 'END-of-/usr/ports/hebrew/hspell/pkg-plist'
X@comment $FreeBSD$
Xbin/hspell
Xshare/hspell/likelyerrors
Xshare/hspell/spellinghints
Xshare/hspell/biza-nouns
Xshare/hspell/biza-verbs
Xshare/hspell/extrawords
Xshare/hspell/milot
Xshare/hspell/out.nouns
Xshare/hspell/out.nouns-shemp
Xshare/hspell/out.verbs
X@dirrm share/hspell
END-of-/usr/ports/hebrew/hspell/pkg-plist
echo x - /usr/ports/hebrew/hspell/pkg-descr
sed 's/^X//' >/usr/ports/hebrew/hspell/pkg-descr << 'END-of-/usr/ports/hebrew/hspell/pkg-descr'
XHspell is a fully working Hebrew spellchecker. On typical documents
Xit should recognize the majority of correct words. 
XHspell was designed to be 100% and strictly compliant with the
Xofficial niqqud-less spelling rules ("Ha-ktiv Khasar Ha-niqqud",
Xcolloquially known as "Ktiv Male") published by the Academy of
Xthe Hebrew Language.
X
XHspell was written by Nadav Har'El and Dan Kenigsberg.
X
XWWW: http://www.ivrix.org.il/projects/spell-checker/
END-of-/usr/ports/hebrew/hspell/pkg-descr
echo x - /usr/ports/hebrew/hspell/pkg-comment
sed 's/^X//' >/usr/ports/hebrew/hspell/pkg-comment << 'END-of-/usr/ports/hebrew/hspell/pkg-comment'
XHebrew spellchecker and morphology engine
END-of-/usr/ports/hebrew/hspell/pkg-comment
echo x - /usr/ports/hebrew/hspell/distinfo
sed 's/^X//' >/usr/ports/hebrew/hspell/distinfo << 'END-of-/usr/ports/hebrew/hspell/distinfo'
XMD5 (hspell-0.3.tar.gz) = f42d671a6f3528774f313b6e58b4b896
END-of-/usr/ports/hebrew/hspell/distinfo
echo x - /usr/ports/hebrew/hspell/Makefile
sed 's/^X//' >/usr/ports/hebrew/hspell/Makefile << 'END-of-/usr/ports/hebrew/hspell/Makefile'
X# Ports collection makefile for:  hspell
X# Date created:			  03 Feb 2003
X# Whom:				  Yonatan <Yonatan@xpert.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	hspell
XPORTVERSION=	0.3
XCATEGORIES=	hebrew
XMASTER_SITES=	http://www.ivrix.org.il/projects/spell-checker/
X
XMAINTAINER=	yonatan@xpert.com
X
XUSE_PERL=	yes
X
XMAN1=		hspell.1
X
X.include <bsd.port.mk>
END-of-/usr/ports/hebrew/hspell/Makefile
echo c - /usr/ports/hebrew/hspell/files
mkdir -p /usr/ports/hebrew/hspell/files > /dev/null 2>&1
echo x - /usr/ports/hebrew/hspell/files/patch-Makefile
sed 's/^X//' >/usr/ports/hebrew/hspell/files/patch-Makefile << 'END-of-/usr/ports/hebrew/hspell/files/patch-Makefile'
X--- Makefile.orig	Mon Feb  3 12:49:46 2003
X+++ Makefile	Mon Feb  3 12:49:53 2003
X@@ -1,7 +1,7 @@
X # override any locale settings the user might have - they are destructive
X # to some of the things we do here (like sort).
X-export LANG=C
X-export LC_ALL=C
X+#export LANG=C
X+#export LC_ALL=C
X 
X # build and installation paths
X DESTDIR =
END-of-/usr/ports/hebrew/hspell/files/patch-Makefile
exit
Comment 2 root 2003-03-10 13:47:35 UTC
# This is the update to version 0.4. Besides the update the changes include
# the new COMMENT, respecting CFLAGS and LDFLAGS, and advising the user
# about proper use.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	files
#	pkg-descr
#	pkg-message
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# Ports collection makefile for:  hspell
X# Date created:			  03 Feb 2003
X# Whom:				  Yonatan <Yonatan@xpert.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	hspell
XPORTVERSION=	0.4
XCATEGORIES=	hebrew
XMASTER_SITES=	http://www.ivrix.org.il/projects/spell-checker/
X
XMAINTAINER=	yonatan@xpert.com
XCOMMENT=	Hebrew spellchecker and morphology engine
X
XUSE_PERL=	yes
X
XMAN1=		hspell.1
X
Xpost-install:
X	@${SED} -e "s:%%PORTSDIR%%:${PORTSDIR}:g" ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (hspell-0.4.tar.gz) = 1ede349d43a2a5df4c1dce3c06c95918
END-of-distinfo
echo c - files
mkdir -p files > /dev/null 2>&1
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XHspell is a fully working Hebrew spellchecker. On typical documents
Xit should recognize the majority of correct words. 
XHspell was designed to be 100% and strictly compliant with the
Xofficial niqqud-less spelling rules ("Ha-ktiv Khasar Ha-niqqud",
Xcolloquially known as "Ktiv Male") published by the Academy of
Xthe Hebrew Language.
X
XHspell was written by Nadav Har'El and Dan Kenigsberg.
X
XWWW: http://www.ivrix.org.il/projects/spell-checker/
END-of-pkg-descr
echo x - pkg-message
sed 's/^X//' >pkg-message << 'END-of-pkg-message'
XThe recommended usage of this port is first to teach your terminal to display
Xhebrew fonts, like this:
X
Xvidcontrol < /dev/ttyv0 -f 8x16 iso08-8x16.fnt
X
Xor set this in /etc/rc.conf:
X
Xfont8x16=iso08-8x16.fnt
X
XThen, it would be wise to install bidiv from %%PORTSDIR%%/textproc/bidiv
Xand run hspell like this:
X
Xhspell file.txt | bidiv
END-of-pkg-message
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
X@comment $FreeBSD$
Xbin/hspell
Xbin/hspell-i
Xshare/hspell/likelyerrors
Xshare/hspell/spellinghints
Xshare/hspell/biza-nouns
Xshare/hspell/biza-verbs
Xshare/hspell/extrawords
Xshare/hspell/milot
Xshare/hspell/out.nouns
Xshare/hspell/out.nouns-shemp
Xshare/hspell/out.verbs
X@dirrm share/hspell
END-of-pkg-plist
exit
Comment 3 yonatan 2003-03-10 14:00:45 UTC
# Forgot one. This should go in the "files" directory.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	patch-Makefile
#
echo x - patch-Makefile
sed 's/^X//' >patch-Makefile << 'END-of-patch-Makefile'
X--- Makefile.orig	Mon Mar 10 12:46:43 2003
X+++ Makefile	Mon Mar 10 12:47:00 2003
X@@ -42,8 +42,8 @@
X 	sed 's+^my @dictionaries=.*$$+my @dictionaries=("zcat $(SHARE)/wordlist.wgz|$(LIBEXEC)/wunzip|");+; s+my @likelyerror.*$$+my @likelyerror_dictionaries=("$(SHARE)/likelyerrors");+; s+@spellinghints_dictionaries=("spellinghints")+@spellinghints_dictionaries=("$(SHARE)/spellinghints")+' < hspell.pl > $@
X 	chmod 755 $@
X 
X-CFLAGS=-O
X-LDFLAGS=-s
X+CFLAGS?=-O
X+LDFLAGS?=-s
X wunzip:
X 
X # experimental, not currently in use:
END-of-patch-Makefile
exit
Comment 4 Edwin Groothuis freebsd_committer 2003-04-02 12:14:17 UTC
State Changed
From-To: open->closed

Commited, thanks! 
Updated patch-Makefile to be more $LOCALBASE happy.